package net.knarcraft.minecraftserverlauncher.utility;

import net.knarcraft.minecraftserverlauncher.Main;
import org.junit.Test;

import static net.knarcraft.minecraftserverlauncher.utility.CommonFunctions.stringBetween;
import static org.junit.Assert.assertEquals;

public class CommonFunctionsTest {

    @Test
    public void saveProfileTest() {
        Main.getController().addProfile("Test");
        Main.getController().saveState();
    }

    @Test
    public void stringBetweenTest() {
        String substring = stringBetween("fish'nchips", "f", "'");
        assertEquals("ish", substring);
        substring = stringBetween("something", "whale", "fish");
        assertEquals("", substring);
        substring = stringBetween("something", "so", "fish");
        assertEquals("", substring);
        substring = stringBetween("something", "asd", "ing");
        assertEquals("", substring);
    }
}
